## org.metaabm.act
Interface AMethod

All Superinterfaces:
  AAct, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  AMethodImpl

    public interface AMethod

extends AAct, SNamed

A representation of the model object ' AMethod'.

Author:
  Miles Parker

  The following features are supported:

  - `Body`
  - `Generate`
See Also:
  `MetaABMActPackage.getAMethod()`

Method Summary
`java.lang.String` `getBody()` Returns the value of the 'Body' attribute.
`boolean` `isGenerate()` Returns the value of the 'Generate' attribute.
`void` `setBody(java.lang.String value)` Sets the value of the '`Body`' attribute.
`void` `setGenerate(boolean value)` Sets the value of the '`Generate`' attribute.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getBody

    java.lang.String getBody()

  Returns the value of the 'Body' attribute.

  If the meaning of the 'Body' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' attribute.
  See Also:
    `setBody(String)`, `MetaABMActPackage.getAMethod_Body()`

### setBody

    void setBody(java.lang.String value)

  Sets the value of the '`Body`' attribute.

  Parameters:
    `value` - the new value of the 'Body' attribute.
  See Also:
    `getBody()`

### isGenerate

    boolean isGenerate()

  Returns the value of the 'Generate' attribute. The default value is `"true"`.

  If the meaning of the 'Generate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generate' attribute.
  See Also:
    `setGenerate(boolean)`, `MetaABMActPackage.getAMethod_Generate()`

### setGenerate

    void setGenerate(boolean value)

  Sets the value of the '`Generate`' attribute.

  Parameters:
    `value` - the new value of the 'Generate' attribute.
  See Also:
    `isGenerate()`